﻿using Microsoft.VisualBasic;

namespace Biblioteque_de_Class
{
    public class PersistenceManager
    {
        private IManager persistence;

        public PersistenceManager(IManager pers)
        {
            persistence = pers; 
        }

        public  void SaveDatabaseData(Database database)
        {
            persistence.SaveDatabaseData(database);
        }

        public  Database LoadDatabaseData()
        {
            return persistence.LoadDatabaseData();
        }

        public  void SaveUserData(User user)
        {
            persistence.SaveUserData(user);
        }

        public  User LoadUserData()
        {
            return persistence.LoadUserData();
        }
    }
}
